# ChronoTomato

A GoTomato command line client written in Go

## Installation

`go install git.smsvc.net/pomodoro/ChronoTomato@latest`

## Configuration

`ChronoTomato` can be configured via CLI parameters or a config file.

The configuration is loaded from `~/config/ChronoTomato.yml`, here is an example:
```
url: ws://localhost:8080/ws
password: ""
config:
  focus: 1500
  shortbreak: 300
  longbreak: 600
  sessions: 4
```

The `url` must be passed either via parameter or config file.  
The `password` and the `config` are optional, the later can only be set via the configuration file.
